package com.gh.gamecenter.gamecollection.square

import android.os.Bundle
import com.gh.gamecenter.R
import com.gh.gamecenter.common.base.activity.BaseActivity
import com.gh.gamecenter.core.utils.DisplayUtils

class GameCollectionSquareActivity : BaseActivity() {
    override fun getLayoutId(): Int {
        return R.layout.activity_amway
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        DisplayUtils.transparentStatusBar(this)

        val containerFragment = supportFragmentManager.findFragmentByTag(
            GameCollectionSquareFragment::class.java.name
        )
            ?: GameCollectionSquareFragment().with(intent.extras)
        supportFragmentManager.beginTransaction()
            .replace(R.id.placeholder, containerFragment, GameCollectionSquareFragment::class.java.name)
            .commitAllowingStateLoss()
    }
}